package com.boot.security.server.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.boot.security.server.model.CusAuditInfo;

@Mapper
public interface CusAuditInfoDao {

    @Select("select * from cus_audit_info t where t.id = #{id}")
    CusAuditInfo getById(String id);

    @Delete("delete from cus_audit_info where id = #{id}")
    int delete(Long id);

    int update(CusAuditInfo cusAuditInfo);
    
    @Insert("insert into cus_audit_info(id,user_name, cus_self_id, openid, certified_img, audit_status, create_time, create_user, last_mod_time, last_mod_by) values(#{id},#{userName}, #{cusSelfId}, #{openid}, #{certifiedImg}, #{auditStatus}, #{createTime}, #{createUser}, #{lastModTime}, #{lastModBy})")
    int save(CusAuditInfo cusAuditInfo);
    
    int count(@Param("params") Map<String, Object> params);

    List<CusAuditInfo> list(@Param("params") Map<String, Object> params, @Param("offset") Integer offset, @Param("limit") Integer limit);

    // 大V审核
	int auditCheck(String id, String status);
	
	@Select("select * from cus_audit_info t where t.openid = #{openid}")
    CusAuditInfo getByOpenId(String openid);
	
	@Select("select * from cus_audit_info t where t.openid = #{openid} and t.audit_status=#{auStatus}")
	CusAuditInfo getByOpenIdAndStatus(String openid, String auStatus);
}
