package com.boot.security.server.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.boot.security.server.model.CusAuthInfo;

@Mapper
public interface CusAuthInfoDao {

    @Select("select * from cus_auth_info t where t.openId = #{openid}")
    CusAuthInfo getByOpenId(String openid);

    @Delete("delete from cus_auth_info where id = #{id}")
    int delete(Long id);

    int update(CusAuthInfo cusAuthInfo);
    
    @Insert("insert into cus_auth_info(id,openId, cus_self_id, mobile, status, create_time, last_mod_time) values(#{id},#{openId}, #{cusSelfId}, #{mobile}, #{status}, #{createTime}, #{lastModTime})")
    int save(CusAuthInfo cusAuthInfo);
    
    int count(@Param("params") Map<String, Object> params);

    List<CusAuthInfo> list(@Param("params") Map<String, Object> params, @Param("offset") Integer offset, @Param("limit") Integer limit);
    
    CusAuthInfo getBySelective(@Param("params") Map<String, Object> params);
    
    @Select("select * from cus_auth_info t where t.mobile = #{mobile}")
    CusAuthInfo getDetailByMobile(String mobile);
}
