package com.boot.security.server.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.boot.security.server.model.CusLoginInfo;

@Mapper
public interface CusLoginInfoDao {

    @Select("select * from cus_login_info t where t.id = #{id}")
    CusLoginInfo getById(Long id);

    @Delete("delete from cus_login_info where id = #{id}")
    int delete(Long id);

    int update(CusLoginInfo cusLoginInfo);
    
    @Insert("insert into cus_login_info(openId, session_key, unionId, token, create_time, last_mod_time) values(#{openId}, #{sessionKey}, #{unionId}, #{token}, #{createTime}, #{lastModTime})")
    int save(CusLoginInfo cusLoginInfo);
    
    int count(@Param("params") Map<String, Object> params);

    List<CusLoginInfo> list(@Param("params") Map<String, Object> params, @Param("offset") Integer offset, @Param("limit") Integer limit);
    
    @Select("select * from cus_login_info t where t.openId = #{openid}")
    CusLoginInfo getDetailByOpenId(String openid);
    
    @Select("select * from cus_login_info t where t.token = #{token}")
    CusLoginInfo getDetailByToken(String token);
    
    // 根据openid更新登录信息
	int updateByOpenId(CusLoginInfo cusLoginInfo);
}
