package com.boot.security.server.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import com.boot.security.server.model.CusSelfInfo;

@Mapper
public interface CusSelfInfoDao {

	/* @Select("select * from cus_self_info t where t.id = #{id}") */
    CusSelfInfo getById(String id);

    @Delete("delete from cus_self_info where id = #{id}")
    int delete(String id);

    int update(CusSelfInfo cusSelfInfo);
    
    @Insert("insert into cus_self_info(id,openId,user_type,nick_name, head_img, user_name, sex, phone, birth_day, email, identity,wx_number, cd_type, cd_number, marital_status, political_appearance, education, graduate_school, schooling_time_start, schooling_time_end, service_length, registered_residence, desired_province, desired_city, self_evaluation, create_time, create_user, last_mod_time, last_mod_by, status,employTypes) values(#{id},#{openId},#{userType}, #{nickName}, #{headImg}, #{userName}, #{sex}, #{phone}, #{birthDay}, #{email}, #{identity}, #{wxNumber}, #{cdType}, #{cdNumber}, #{maritalStatus}, #{politicalAppearance}, #{education}, #{graduateSchool}, #{schoolingTimeStart},#{schoolingTimeEnd}, #{serviceLength}, #{registeredResidence}, #{desiredProvince}, #{desiredCity}, #{selfEvaluation}, #{createTime}, #{createUser}, #{lastModTime}, #{lastModBy}, #{status}, #{employTypes})")
    int save(CusSelfInfo cusSelfInfo);
    
    int count(@Param("params") Map<String, Object> params);

    List<CusSelfInfo> list(@Param("params") Map<String, Object> params, @Param("offset") Integer offset, @Param("limit") Integer limit);
    
    @Select("select * from cus_self_info t where t.openId = #{openid}")
    CusSelfInfo getByOpenId(String openid);
    
    int updateByOpenid(CusSelfInfo cusSelfInfo);
    
	int deleteByOpenid(String openid);
}
